Get a checkout wallet by merchant reference
curl --request GET \
--url https://api-production.fossapay.com/api/v1/checkouts/reference/{reference} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"statusCode": 200,
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"status": "pending",
"amount": "<string>",
"fee": "<string>",
"amountPayable": "<string>",
"settlementAmount": "<string>",
"feeBearer": "customer",
"currency": "NGN",
"account": {
"type": "temporary",
"bankName": "<string>",
"accountName": "<string>",
"accountNumber": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"customer": {
"name": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>"
},
"metadata": {},
"transactionId": "<string>",
"providerCheckoutReference": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"reversedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "<string>",
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"errors": {}
}{
"status": "<string>",
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"errors": {}
}{
"status": "<string>",
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"errors": {}
}Checkout Wallet
Get Checkout by Reference
Retrieve a checkout wallet using your merchant reference
GET
/
api
/
v1
/
checkouts
/
reference
/
{reference}
Get a checkout wallet by merchant reference
curl --request GET \
--url https://api-production.fossapay.com/api/v1/checkouts/reference/{reference} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-production.fossapay.com/api/v1/checkouts/reference/{reference}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"statusCode": 200,
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"status": "pending",
"amount": "<string>",
"fee": "<string>",
"amountPayable": "<string>",
"settlementAmount": "<string>",
"feeBearer": "customer",
"currency": "NGN",
"account": {
"type": "temporary",
"bankName": "<string>",
"accountName": "<string>",
"accountNumber": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"customer": {
"name": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>"
},
"metadata": {},
"transactionId": "<string>",
"providerCheckoutReference": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"reversedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "<string>",
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"errors": {}
}{
"status": "<string>",
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"errors": {}
}{
"status": "<string>",
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"code": "<string>",
"errors": {}
}string
required
Your existing active FossaPay API key with full permission.
string
required
The unique merchant
reference supplied when creating the checkout.curl https://api-production.fossapay.com/api/v1/checkouts/reference/ORDER-10025 \
-H "x-api-key: $FOSSAPAY_API_KEY"
{
"status": "success",
"statusCode": 200,
"message": "Checkout session retrieved successfully",
"data": {
"id": "35f5f6fb-0c8d-4e96-ba4a-c04750724ff6",
"reference": "ORDER-10025",
"status": "pending",
"amount": "5000.00",
"fee": "80.00",
"amountPayable": "5080.00",
"settlementAmount": "5000.00",
"feeBearer": "customer",
"currency": "NGN",
"account": {
"type": "permanent",
"bankName": "Sterling Bank",
"accountName": "ACME LIMITED",
"accountNumber": "9710271392",
"expiresAt": null
},
"customer": null,
"metadata": { "orderId": "10025" },
"transactionId": "3469cd26-a213-431e-96c9-72dc2dea51ae",
"providerCheckoutReference": null,
"expiresAt": "2026-09-11T10:30:00.000Z",
"completedAt": null,
"failedAt": null,
"reversedAt": null,
"createdAt": "2026-09-11T10:00:00.000Z",
"updatedAt": "2026-09-11T10:00:00.000Z"
}
}
A permanent account does not expire, but the checkout does. Always enforce the top-level
data.expiresAt in your payment UI.| HTTP status | When it occurs |
|---|---|
401 | Missing, invalid, or inactive API key. |
403 | Merchant is not eligible. |
404 | No checkout with this reference exists for the authenticated merchant. |

